local t = Def.ActorFrame{

	Def.ActorFrame{
		--lifecover
		Condition=not GAMESTATE:IsDemonstration();
		LoadActor(THEME:GetPathG("","life_under"))..{
			Condition=not GAMESTATE:IsHumanPlayer('PlayerNumber_P1');
			InitCommand=cmd(draworder,-100;diffusealpha,0;horizalign,left;x,SCREEN_LEFT+18/2;y,SCREEN_TOP+68/2;zoomtowidth,SCREEN_WIDTH/2-60;zoomtoheight,12;sleep,0.5;linear,0.2;diffusealpha,0.7);
		};
	
		LoadActor(THEME:GetPathG("","life_under"))..{
			Condition=not GAMESTATE:IsHumanPlayer('PlayerNumber_P2');
			InitCommand=cmd(draworder,-100;diffusealpha,0;horizalign,right;x,SCREEN_RIGHT-18/2;y,SCREEN_TOP+68/2;zoomtowidth,SCREEN_WIDTH/2-60;zoomtoheight,12;sleep,0.5;linear,0.2;diffusealpha,0.7);
		};
	};

	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		--percentframe_player1
		LoadActor("challenge_percentframe")..{
			InitCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-234/2;y,SCREEN_TOP+30/2;addx,SCREEN_WIDTH*0.2;zoomy,0.1;diffusealpha,0;sleep,0.5;linear,0.1;diffusealpha,1;accelerate,0.2;addx,-SCREEN_WIDTH*0.2;accelerate,0.2;zoomy,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		--percentframe_player2
		LoadActor("challenge_percentframe")..{
			InitCommand=cmd(horizalign,right;zoomx,-1;x,SCREEN_CENTER_X+234/2;y,SCREEN_TOP+30/2;addx,-SCREEN_WIDTH*0.2;zoomy,0.1;diffusealpha,0;sleep,0.5;linear,0.1;diffusealpha,1;accelerate,0.2;addx,SCREEN_WIDTH*0.2;accelerate,0.2;zoomy,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		--stageframe
		LoadActor("challenge_stageframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+46/2;addy,-120/2;zoomy,0;sleep,0.3;decelerate,0.3;addy,120/2;zoomy,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};


	--lifeframe_player1_up
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_TOP+50/2;addx,-SCREEN_WIDTH*0.6;addy,-10/2;sleep,0.2;zoomy,0.1;decelerate,0.4;addx,SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,10/2);

		LoadActor("challenge_lifeframe_up_width")..{
			OnCommand=cmd(zoomtowidth,SCREEN_WIDTH/2-183-136;horizalign,left;x,SCREEN_LEFT+152/2;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_up_left")..{
			OnCommand=cmd(horizalign,left;x,SCREEN_LEFT/2;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_up_right")..{
			OnCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-122/2;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};

	--lifeframe_player2_up
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_TOP+50/2;addx,SCREEN_WIDTH*0.6;addy,-10/2;sleep,0.2;zoomy,0.1;decelerate,0.4;addx,-SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,10/2);

		LoadActor("challenge_lifeframe_up_width")..{
			OnCommand=cmd(zoomx,-1;zoomtowidth,SCREEN_WIDTH/2-183-135;horizalign,right;x,SCREEN_RIGHT-152/2;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_up_left")..{
			OnCommand=cmd(horizalign,left;zoomx,-1;x,SCREEN_RIGHT-2/2+1;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_up_right")..{
			OnCommand=cmd(horizalign,right;zoomx,-1;x,SCREEN_CENTER_X+122/2;sleep,0.6;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};

	--lifeframe_player1_down
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_TOP+70/2;addx,-SCREEN_WIDTH*0.6;addy,10;zoomy,0.1;decelerate,0.5;addx,SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,-10);

		LoadActor("challenge_lifeframe_down_left")..{
			OnCommand=cmd(horizalign,left;x,SCREEN_LEFT+2/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_down_right")..{
			OnCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-82/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};

	--lifeframe_player2_down
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_TOP+70/2;addx,SCREEN_WIDTH*0.6;addy,10;zoomy,0.1;decelerate,0.5;addx,-SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,-10);

		LoadActor("challenge_lifeframe_down_left")..{
			OnCommand=cmd(horizalign,left;zoomx,-1;x,SCREEN_RIGHT-2/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};

		LoadActor("challenge_lifeframe_down_right")..{
			OnCommand=cmd(horizalign,right;zoomx,-1;x,SCREEN_CENTER_X+82/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};
};

return t;
